#include "Movement.dm"
#include "Demo.dmp"
world
  turf = /turf/Grass
  mob = /mob/Player
  view = 5
turf/Grid
  icon = 'Grid.dmi'
  grid1
    icon_state = "1,1"
  grid2
    icon_state = "1,2"
  grid3
    icon_state = "2,1"
  grid4
    icon_state = "2,2"
turf/Grass
  icon = 'Grass.dmi'
  icon_state = "1"
  Grass2
    icon = 'Grass.dmi'
    icon_state = "2"
    elevation = 2
obj/bridge/bridge
  icon = 'Bridge.dmi'
  elevation=2
  layer = MOB_LAYER +1
turf/Wall
  icon = 'Wall.dmi'
  density = 1
  opacity = 1
  layer = OBJ_LAYER + 1
  flight_dense = 1
turf/SideWall
  icon = 'SideWall.dmi'
  density = 1
mob/Player
  icon = 'Player.dmi'
  verb
    Lock_Cursor()
      if(move_LockedCur())
        move_UlockCur()
        usr << "Unlocking"
      else
        move_LockCur()
        usr << "Locking"
    Lock_Position()
      if(move_LockedPos())
        move_UlockPos()
        usr << "Unlocking"
      else
        usr << "Locking"
        move_LockPos()
    Lock_Down()
      if(move_LockedDown())
        move_UlockDown()
        usr << "Unlocking"
      else
        move_LockDown()
        usr << "Locking"
    Fly()
      if(move_IsPasswall())
        usr << "You can not do this while in passwall."
        return 0
      if(move_IsFlying())
        layer = MOB_LAYER
        move_SetMoveType(WALKING)
        var/obj/o= move_RemoveFOBJ("Shadow")
        loc = o.loc
        del(o)
      else
        move_StepOff()
        layer = FLY_LAYER
        move_SetMoveType(FLYING)
        var/turf/t = locate(x,y+1,z)
        if(t)
          loc = t
        var/obj/o = new()
        o.icon = 'Shadow.dmi'
        o.move_SetMoveType(FLYING)
        move_AddFOBJ(o,"Shadow",0,-1)
    Passwall()
      if(move_IsFlying())
        usr << "You can not do this while flying"
        return 0
      else
        if(move_IsPasswall())
          move_SetMoveType(WALKING)
          icon_state = ""
        else
          move_SetMoveType(PASSWALL)
          icon_state = "PASSWALL"
  Login()
    loc = locate(2,2,1)
    move_SetMoveType(WALKING)
    ..()